ActivitiesControllerTest#test_previous_project_index fails depending on the current time and zone
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

$ date -R ; bin/rails test test/functional/activities_controller_test.rb:52

Mon, 24 Jun 2019 17:23:48 -0700

Run options: --seed 40286

# Running:

F

Failure:

ActivitiesControllerTest#test_previous_project_index [/Users/maeda/redmines/trunk/test/functional/

activities_controller_test.rb:59]:

<(?-mix:22)> expected but was

<Project>..

Expected 0 to be >= 1.

bin/rails test test/functional/activities_controller_test.rb:52

Related issues:

Related to Redmine - Defect #30288: Groups are incorrect when grouping by dat... Closed

Associated revisions

Revision 18316 - 2019-06-25 09:35 - Go MAEDA

test_previous_project_index fails depending on the current time and zone (#30288, #31620).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-06-25 06:47 - Mizuki ISHIKAWA

The test should succeed if you change it as below.

diff --git a/test/functional/activities_controller_test.rb b/test/functional/activities_controller_test.rb

index c94a9c9392..5b0cf9d022 100644

--- a/test/functional/activities_controller_test.rb

+++ b/test/functional/activities_controller_test.rb

@@ -50,13 +50,14 @@ class ActivitiesControllerTest < Redmine::ControllerTest

   end

   def test_previous_project_index

+    @request.session[:user_id] = 1

     get :index, :params => {

         :id => 1,

         :from => 2.days.ago.to_date

       }

     assert_response :success

-    assert_select 'h3', :text => /#{3.days.ago.to_date.day}/

+    assert_select 'h3', :text => /#{User.current.time_to_date(3.days.ago).day}/

     assert_select 'dl dt.issue a', :text => /Cannot print recipes/

   end

#2 - 2019-06-25 09:28 - Go MAEDA
The failure is caused by r18264.

#3 - 2019-06-25 09:28 - Go MAEDA

- Related to Defect #30288: Groups are incorrect when grouping by date without user timezone set added

#4 - 2019-06-25 09:37 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thanks.

Powered by TCPDF (www.tcpdf.org)

2025-05-03 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/18264
http://www.tcpdf.org

